# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'just/retry/version'

Gem::Specification.new do |spec|
  spec.name          = "just-retry"
  spec.version       = Just::Retry::VERSION
  spec.authors       = ["Michael Greenly"]
  spec.email         = ["mgreenly@gmail.com"]
  spec.summary       = %q{Provides a counted retry mechanism}
  spec.description   = spec.summary
  spec.homepage      = "https://github.com/mgreenly/just-retry"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
